LinHES - Feature # 973: Frontend Status Feature

Status: Closed Priority: Low

Author: bgrant3406 Category: Packages: Core

Created: 07/26/2014 Assignee: jams

Updated: 08/19/2014 Due date:

Description: The issue | run into is that | don't alway know when one of my frontends is watching a recorded program. |

know | can get the status by using the Frontend status API:
Code:

http://mediaroom_sbe:6547/Frontend/GetStatus

but it sure would be nice to see all of it in a nice table format.

What | would envision is a simple table showing the status of each frontend, similar to the Encoder status
page, something like:

Frontend Status

Frontend: "mbe" is "idle"

Frontend: "mbr_sbe" is "playing" "Lost"

Frontend: "gbr_sbe" is "paused” "playing" "Wipeout"
Frontend: "mediaroom_sbe" is "idle"

Associated revisions

08/19/2014 11:55 am - jams

supplemental-web: Add menu item for frontend status.

The page takes a bit to load because it queries the frontends in real time, every time.
We need to add a please wait screen or some other dialog box in the future.

Also removed remyth from the menu because it's a dead product.

refs #973

History

08/16/2014 05:51 pm - jams
- Target version set to 8.2

- Status changed from New to In Progress

- Assignee set to jams

08/19/2014 11:25 am - jams

- Status changed from In Progress to Closed

- Category set to Packages: Core

Menu item for frontend status is under utilities.

Table will only display frontends detected via upnp. That means the frontend must be powered on and accepting connections.
